module.exports = {
  create: {
    requestBody: ["title", "params"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["title", "params", "status", "dot", "progress"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        title: "title",
        create_time: "create_time",
        status: "status",
        dot: "dot",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  start: {
    params: ["!id"],
    service: "start",
  },
};
